/*
 * MacSamba
  * <http://ghostwood.org/software/macSamba.html>
 * Copyright 2006-2015 Nick Howes <nick@ghostwood.org>
 * tabs every 4 spaces
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; version 2
 * of the License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 */


#define FLASH_PAGE_SIZE	(512)
#define FLASH_ADDR		(0x00400000)

#define RAM_ADDR		(0x20400000)

struct deviceInfoStruct {
	char* name;
	unsigned int idCode;
	unsigned int extCode;
};

typedef const struct deviceInfoStruct deviceInfo_t;

extern deviceInfo_t* getDeviceByID(unsigned int idCode, unsigned int extCode);

extern int getFlashPageCount(deviceInfo_t* dev);
